import { BigNumber } from "ethers";
import { EthereumAddress } from "./EthereumAddress";
import { MerchantUrl } from "./MerchantUrl";
import { PaymentId } from "./PaymentId";
import { PaymentInternalDetails } from "./PaymentInternalDetails";
import { PublicIdentifier } from "./PublicIdentifier";
import { EPaymentState } from "./typing";
export declare abstract class Payment {
    id: PaymentId;
    to: PublicIdentifier;
    from: PublicIdentifier;
    state: EPaymentState;
    paymentToken: EthereumAddress;
    requiredStake: BigNumber;
    amountStaked: BigNumber;
    expirationDate: number;
    createdTimestamp: number;
    updatedTimestamp: number;
    collateralRecovered: BigNumber;
    merchantUrl: MerchantUrl;
    details: PaymentInternalDetails;
    constructor(id: PaymentId, to: PublicIdentifier, from: PublicIdentifier, state: EPaymentState, paymentToken: EthereumAddress, requiredStake: BigNumber, amountStaked: BigNumber, expirationDate: number, createdTimestamp: number, updatedTimestamp: number, collateralRecovered: BigNumber, merchantUrl: MerchantUrl, details: PaymentInternalDetails);
}
//# sourceMappingURL=Payment.d.ts.map